%define name veusz
%define version 1.0
%define release 1

Name: %{name}
Version: %{version}
Release: %mkrel %release

Summary:Scientific plotting package written in Python 
Source0: %{name}-%{version}.tar.gz
URL: http://home.gna.org/veusz/
Group: Sciences/Mathematics
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPL
Requires: python-qt4 >= 4.3
Requires: python-numpy >= 1.0
BuildRequires: libpython2.5-devel
BuildRequires: python-numpy-devel >= 1.0

%description
Veusz is a scientific plotting package written in Python, using PyQt4 for display and user-interfaces, and numpy for handling the numeric data. Veusz is designed to produce publication-ready Postscript/PDF output. The user interface aims to be simple, consistent and powerful.

%description -l de
Veusz ist ein in Python geschriebener wissenschaftlicher Plotter, der für die Anzeige und die Bedienoberfläche Qt4 verwendet. Für die Verarbeitung der numerischen Daten kommt Numpy zum Einsatz. Die Bedienoberfläche ist einfach gehalten und doch mächtig.

%prep
rm -rf $RPM_BUILDROOT
%setup -q -n %{name}-%{version}
python setup.py build
python setup.py install --root %{_tmppath}/%{name}-%{version}-%{release}-buildroot

# menu entry
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name):veusz
command="%_bindir/veusz" 
needs="X11" 
section="More Applications/Sciences/Numerical Analysis" 
icon="other_sciences.png" 
title="Veusz" 
longtitle="Veusz-scientific plotting package"
EOF

# xdg menu entry
mkdir -p %buildroot/%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Veusz
Comment=Scientific plotting package written in Python
Comment[de]=In Python geschriebener wissenschaftlicher Plotter
Exec=%{_bindir}/%{name}
Icon=%{_iconsdir}/other_sciences.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Sciences-NumericalAnalysis
EOF

%post
%update_menus
%postun
%clean_menus

%files
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING VERSION ChangeLog ./Documents/*
%{_bindir}/%{name}
%{_bindir}/%{name}_listen
%{_datadir}/applications/%{name}.desktop
%{_menudir}/%{name}
%{_libdir}/python2.5/site-packages/%{name}/*
%{_libdir}/python2.5/site-packages/%{name}-1.0-py2.5.egg-info

%changelog
* Sat Jan 12 2008 Oliver Burger <rpm@mandrivauser.de> 1.0-1mud2008.0
- rebuild for MUde

* Sat Jan 12 2008 Mario Blaettermann <mario.blaettermann@t-online.de>
-initial version
